List LinkedIn activity comments

List comments on a LinkedIn activity.

GET/v2/linkedin/activities/{activityId}/comments
3credits
x-api-keystringheader

API key (`sfk_...`)

Parameters
5
activityIdstringrequiredpath

LinkedIn activity ID.

startintegeroptionalquery

≥ 0 · ≤ 9007199254740991

countintegeroptionalquery

≥ 1 · ≤ 50

sortBystringoptionalquery

one of: relevance, date_posted

cursorstringoptionalquery

min 1 chars · max 16384 chars

Response fields
38
datasourceFamily
string

one of: live

datalookupStatus
string

one of: found, not_found

Comment author when observed.

datacomments[]authorname
stringnullable

Actor display name when observed.

datacomments[]authorheadline
stringnullable

Actor headline when observed.

datacomments[]authorentityId
stringnullable

Actor entity identifier when observed.

datacomments[]authorid
stringnullable

Actor numeric or source identifier when observed.

datacomments[]authorurl
stringnullable

Actor LinkedIn URL when observed.

datacomments[]authorprofilePictureUrl
stringnullable

Actor profile picture URL when observed.

datacomments[]authortype
stringnullable

Actor source type when observed.

datacomments[]comment
stringnullable

Comment text when observed.

datacomments[]createdAt
numbernullable

Comment creation timestamp when observed.

datacomments[]permalink
stringnullable

Comment permalink when observed.

datacomments[]edited
booleannullable

Whether the comment was edited when observed.

Comment engagement totals when observed.

datacomments[]engagementstotalReactions
numbernullable

Total reaction count when observed.

datacomments[]engagementscommentsCount
numbernullable

Comment count when observed.

datacomments[]engagementsrepostsCount
numbernullable

Repost count when observed.

Reaction-count breakdown when observed.

datacomments[]engagementsreactions[]reactionType
stringnullable

Reaction type when observed.

datacomments[]engagementsreactions[]reactionCount
numbernullable

Count for this reaction type when observed.

datapagekind
string

one of: cursor, offset, page

datapagenextCursor
stringnullable
datapagehasMore
booleannullable

Null when continuation is unknown for this page.

datapagestart
integernullable

≥ 0

datapagepage
integernullable

≥ 0

datapagecount
integernullable

≥ 0

datapagereturnedCount
integer

≥ 0

datapagetotal
integernullable

≥ 0

datapagetotalPages
integernullable

≥ 0

datareportedTotal
numbernullable

Total reported for this page of results; not a guarantee of globally retrievable matches.

≥ 0

Metadata about the API response.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v2

Code example

curl "https://api.socialfetch.dev/v2/linkedin/activities/7506405584091541505/comments" \
  -H "x-api-key: YOUR_API_KEY"

Responses

LinkedIn activity comments.